package logger

import (
	"log"
	"os"
	"query-service/pkg/errorhandler"
	"strconv"
)

var logMessages bool

// Start error logging
func Start() {
	var err error
	logMessages, err = strconv.ParseBool(os.Getenv("LOG_MESSAGES"))
	if err != nil {
		errorhandler.FailWithError(err, "invalid LOG_MESSAGES env variable")
	}
}

// Log logs a message to the console if logging is turned on
func Log(msg string) {
	if logMessages {
		log.Println(msg)
	}
}
